> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Respond to a task



## OpenAPI

````yaml api-reference/openapi.v1.json POST /tasks/{taskID}/respond
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/respond:
    post:
      tags:
        - tasks
      summary: Respond to a task
      operationId: respondToTask
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RespondToTaskRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RespondToTaskResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Payment Required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    RespondToTaskRequest:
      additionalProperties: false
      properties:
        client_message_id:
          format: uuid
          type: string
        context:
          $ref: '#/components/schemas/PromptContext'
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        message:
          minLength: 1
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type: string
        tool_response:
          discriminator:
            mapping:
              ask_user:
                $ref: '#/components/schemas/AskUserToolResponse'
              propose_plan:
                $ref: '#/components/schemas/ProposePlanToolResponse'
            propertyName: tool_name
          oneOf:
            - $ref: '#/components/schemas/AskUserToolResponse'
            - $ref: '#/components/schemas/ProposePlanToolResponse'
      required:
        - message
      type: object
    RespondToTaskResponse:
      additionalProperties: false
      properties:
        message_id:
          format: uuid
          type: string
      required:
        - message_id
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    PromptContext:
      additionalProperties: false
      properties:
        attachments:
          items:
            $ref: '#/components/schemas/Attachment'
          type: array
        files:
          items:
            $ref: '#/components/schemas/FileReference'
          type: array
      type: object
    AskUserToolResponse:
      additionalProperties: false
      properties:
        data:
          additionalProperties: false
          properties:
            answers:
              additionalProperties:
                items:
                  format: int64
                  minimum: -1
                  type: integer
                type: array
              type: object
            customAnswers:
              additionalProperties:
                type: string
              type: object
          required:
            - answers
          type: object
        tool_name:
          enum:
            - ask_user
          type: string
      required:
        - tool_name
        - data
      type: object
    ProposePlanToolResponse:
      additionalProperties: false
      properties:
        data:
          additionalProperties: false
          properties:
            approved:
              type: boolean
            feedback:
              type: string
          required:
            - approved
          type: object
        tool_name:
          enum:
            - propose_plan
          type: string
      required:
        - tool_name
        - data
      type: object
    Attachment:
      additionalProperties: false
      properties:
        data:
          minLength: 1
          type: string
        filename:
          minLength: 1
          type: string
        mediaType:
          minLength: 1
          type: string
      required:
        - filename
        - mediaType
        - data
      type: object
    FileReference:
      additionalProperties: false
      properties:
        include:
          type: boolean
        path:
          minLength: 1
          type: string
        selection:
          $ref: '#/components/schemas/FileSelection'
      required:
        - path
        - include
      type: object
    FileSelection:
      additionalProperties: false
      properties:
        endLine:
          format: int64
          minimum: 1
          type: integer
        startLine:
          format: int64
          minimum: 1
          type: integer
      required:
        - startLine
        - endLine
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````